Orders

Returns the latest state of user orders

The Orders API allows you to fetch a list of up to 50 recent orders or query for specific ones either by order id or by external reference, set by the partner.

This information can be used to learn order state changes in a passive-polling way. It is an alternative to subscribing to webhooks, which provide automatic and instant updates.

⚠️ Since this API shares sensitive data of the orders, it requires private authenticationarrow-up-right.

Get orders

get

Returns either:

  • A list of recent orders, limited to the maximum of 50 orders, sorted by descending creation date.
  • If the externalReference query parameter is provided, returns a list of order details for orders that match requested external reference. It could be several orders.
  • If the walletAddress query parameter is provided, returns a list of order details for orders that match requested wallet address. It could be several orders.
Authorizations
X-Private-API-KeystringRequired
Query parameters
limitstringOptional

The number of orders to return. Default and maximum is 50. Applicable when externalReference query param is not provided.

Example: 10
offsetintegerOptional

The number of orders to skip. Use together with limit for pagination.

Example: 20
externalReferencestringOptional

External reference of the order(s), set by partner

Example: external_order_id
walletAddressstringOptional

User wallet address

Example: bc1q897va9he4zcppqgp3h7ue8hj7448ra0mr6xqtu
outputCurrencystringOptional

Currency code of the output currency

fromstringOptional

The start date of the range of orders to return (inclusive). Format: YYYY-MM-DD

Example: 2024-10-01
tostringOptional

The end date of the range of orders to return (exclusive). Format: YYYY-MM-DD

Example: 2024-10-02
Responses
chevron-right
200

ok

application/json
orderIdstringRequired

Unique identifier of the order

Example: f41a3e45-6392-457c-8566-a282b5f3e177
externalReferencestringOptional

An optional external order reference set by the partner. It is limited to 100 characters.

Example: your_order_id
subPartnerIdstringOptional

An optional 3rd party reference set by the partner. It is limited to 50 characters.

Example: your_sub_partner_id
orderTypestring Β· enumRequired

Type of the order. BUY for on-ramp, SELL for off-ramp

Example: BUYPossible values:
createdAtstringRequired

Timestamp of the order creation

Example: 2024-10-01T12:00:00Z
orderStatestring Β· enumRequired

Current state of the order

Example: COMPLETEDPossible values:
orderStateUpdatedAtstringRequired

Timestamp of the last order state change

Example: 2024-10-01T13:00:00Z
paymentMethodstring Β· enumRequired

Payment method used for the order

Example: CARDPossible values:
inputCurrencystringRequired

Currency code used for funding the order

Example: USD
inputAmountstringRequired

Amount of input currency used for the order

Example: 100.00
outputCurrencystringRequired

Currency code of the output currency

Example: BTC
outputAmountstringRequired

Amount of output currency

Example: 0.001
amountUsdstringRequired

Amount of the transaction denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 100.00
processingFeestringRequired

Blockchain.com Pay processing fee denominated in inputCurrency

Example: 1.00
processingFeeUsdstringRequired

Blockchain.com Pay processing fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 1.00
partnerFeestringRequired

Partner fee denominated in inputCurrency

Example: 0.50
partnerFeeUsdstringRequired

Partner fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 0.50
networkFeestringRequired

Network fee denominated in inputCurrency

Example: 1.50
networkFeeUsdstringRequired

Transaction network fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 1.50
userIdstringRequired

Unique identifier of the user

Example: 2b6f0cc9-7b0c-4f3b-8f3b-6f0cc97b0c4f
targetWalletAddressstringRequired

Target wallet address of the crypto transaction

Example: bc1q897va9he4zcppqgp3h7ue8hj7448ra0mr6xqtu
transactionHashstringOptional

Transaction hash of the crypto transaction. Will only be present for orders in COMPLETED state

Example: 4b1549abe58cface17d400bf50ff0fe0c2e2ca8121f4e3764d807dc841a2ab80
get
/v1/orders
200

ok

Get order by id

get

Returns order details for a given order id.

Authorizations
X-Private-API-KeystringRequired
Path parameters
idstringRequired

Unique identifier of the order

Example: f41a3e45-6392-457c-8566-a282b5f3e177
Responses
chevron-right
200

ok

application/json
orderIdstringRequired

Unique identifier of the order

Example: f41a3e45-6392-457c-8566-a282b5f3e177
externalReferencestringOptional

An optional external order reference set by the partner. It is limited to 100 characters.

Example: your_order_id
subPartnerIdstringOptional

An optional 3rd party reference set by the partner. It is limited to 50 characters.

Example: your_sub_partner_id
orderTypestring Β· enumRequired

Type of the order. BUY for on-ramp, SELL for off-ramp

Example: BUYPossible values:
createdAtstringRequired

Timestamp of the order creation

Example: 2024-10-01T12:00:00Z
orderStatestring Β· enumRequired

Current state of the order

Example: COMPLETEDPossible values:
orderStateUpdatedAtstringRequired

Timestamp of the last order state change

Example: 2024-10-01T13:00:00Z
paymentMethodstring Β· enumRequired

Payment method used for the order

Example: CARDPossible values:
inputCurrencystringRequired

Currency code used for funding the order

Example: USD
inputAmountstringRequired

Amount of input currency used for the order

Example: 100.00
outputCurrencystringRequired

Currency code of the output currency

Example: BTC
outputAmountstringRequired

Amount of output currency

Example: 0.001
amountUsdstringRequired

Amount of the transaction denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 100.00
processingFeestringRequired

Blockchain.com Pay processing fee denominated in inputCurrency

Example: 1.00
processingFeeUsdstringRequired

Blockchain.com Pay processing fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 1.00
partnerFeestringRequired

Partner fee denominated in inputCurrency

Example: 0.50
partnerFeeUsdstringRequired

Partner fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 0.50
networkFeestringRequired

Network fee denominated in inputCurrency

Example: 1.50
networkFeeUsdstringRequired

Transaction network fee denominated in USD. Will be an approximate value in case of inputCurrency different than USD.

Example: 1.50
userIdstringRequired

Unique identifier of the user

Example: 2b6f0cc9-7b0c-4f3b-8f3b-6f0cc97b0c4f
targetWalletAddressstringRequired

Target wallet address of the crypto transaction

Example: bc1q897va9he4zcppqgp3h7ue8hj7448ra0mr6xqtu
transactionHashstringOptional

Transaction hash of the crypto transaction. Will only be present for orders in COMPLETED state

Example: 4b1549abe58cface17d400bf50ff0fe0c2e2ca8121f4e3764d807dc841a2ab80
get
/v1/orders/{id}

Last updated